#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: equivalence
version: 0.3.1
id: equivalence-0.3.1-4b8bd884cf1ef25f281c2e99c1238404
key: equiv_J4jzZmER3hIEsh1k9iIcsd
license: BSD3
maintainer: paba@di.ku.dk
stability: provisional
homepage: https://bitbucket.org/paba/equivalence/
synopsis: Maintaining an equivalence relation implemented as union-find using STT.
description:
    This is an implementation of Tarjan'\''s Union-Find algorithm (Robert
    E. Tarjan. "Efficiency of a Good But Not Linear Set Union
    Algorithm", JACM 22(2), 1975) in order to maintain an equivalence
    relation.
    This implementation is a port of the /union-find/ package using the
    ST monad transformer (instead of the IO monad).
category: Algorithms, Data
author: Patrick Bahr
exposed: True
exposed-modules:
    Data.Equivalence.STT Data.Equivalence.Monad
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/equivalence-0.3.1
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/equivalence-0.3.1
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/equivalence-0.3.1
hs-libraries: HSequivalence-0.3.1-J4jzZmER3hIEsh1k9iIcsd
include-dirs: /usr/local/include
depends:
    STMonadTrans-0.3.3-4612eac0e2f0d199aaa7ffc71ede3320
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    containers-0.5.6.2-fa9a4462de473ca3ca1d565cbe6dba33
    mtl-2.2.1-6281cd9698784dbc328cef3b013b905d
    transformers-0.4.2.0-1c92f7031c1e04e17d9abe73932eb485
    transformers-compat-0.4.0.4-3ca5cbcec233c17da785d5f27705643c
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/equivalence-0.3.1/html/equivalence.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/equivalence-0.3.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
